Lingvo_Dictionaries_iOS_80x80.png

ABBYY Lingvo for Mac

System Requirement

Operating System

Mac OS X 10.10 (Yosemite) or higher

Processor

Intel processor

Hard Disk Space

1 GB

Headphones or loudspeakers

To hear words pronounced

Knowledge Base

All topics

Updates

All recent products have built-in update system.
To update product: Select the Help › Check for update menu item.

All Updates

ABBYY Business Card Reader
ABBYY Screenshot Reader
ABBYY Recognition Server
ABBYY Comparator
ABBYY FlexiCapture